Description: fix attachment extraction if base64 has bad last line
 If last line in base64 attachment has one more block return -1 to save it
 in non-encoded format
 .
 dovecot (2:2.2.12-1~auto+43) unstable; urgency=low
 .
   * New revision (17208:978871ca81e7) in dovecot Mercurial repository:
     - lazy_expunge: If setting is empty, disable the plugin.
     - lazy_expunge: If lazy-expunge mailbox open/create fails, show the
       mailbox name in error message.
Author: Stephan Bosch <stephan@rename-it.nl>

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: http://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: <YYYY-MM-DD>

--- dovecot-2.2.12.orig/src/lib-mail/istream-attachment-extractor.c
+++ dovecot-2.2.12/src/lib-mail/istream-attachment-extractor.c
@@ -204,6 +204,12 @@ astream_try_base64_decode_char(struct at
 		} else if (chr == '=') {
 			part->base64_state = BASE64_STATE_EOM;
 			part->cur_base64_blocks++;
+
+			/* if last line has higher number of base64 blocks */
+			if (part->cur_base64_blocks > part->base64_line_blocks) {
+				return -1;
+			}
+
 			return 0;
 		} else {
 			return -1;
